- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SystemResult Class Reference

The SystemResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for SystemResult:

[legend]
List of all members.

## Public Member Functions
| SystemResult ()
| Default constructor.
| ~SystemResult ()
| Class destructor.
bool | IsEqual (SystemResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| SystemResult ()
| Default constructor.
| ~SystemResult ()
| Class destructor.
## Public Attributes
std::string | systemInformation
| a string containing some basic system information
StorageCapacity * | availableDiskSpace
| a pointer to the DiskSpace class
StorageCapacity * | availableMemory
| a pointer to the MemorySize class
CPUSpeed * | availableCPUSpeed
| a pointer to the CPUSpeed class
CPUNumber * | availableCPUNumber
| a pointer to the CPUNumber class
OtherResults * | otherResults
| a pointer to the OtherResults class

## Detailed Description

The SystemResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the system information that is defined in the OSrL schema.

Definition at line 343 of file OSResult.h.

## Constructor & Destructor Documentation

SystemResult::SystemResult | ( |  | ) |

Default constructor.

Definition at line 158 of file OSResult.cpp.

SystemResult::~SystemResult | ( |  | ) |

Class destructor.

Definition at line 172 of file OSResult.cpp.

References availableCPUNumber, availableCPUSpeed, availableDiskSpace, availableMemory, and otherResults.

SystemResult::SystemResult | ( |  | ) |

Default constructor.

SystemResult::~SystemResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool SystemResult::IsEqual | ( | SystemResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5582 of file OSResult.cpp.

bool SystemResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7390 of file OSResult.cpp.

References availableDiskSpace, and StorageCapacity::setRandom().

## Member Data Documentation

std::string SystemResult::systemInformation

a string containing some basic system information

Definition at line 347 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

StorageCapacity* SystemResult::availableDiskSpace

a pointer to the DiskSpace class

Definition at line 351 of file OSResult.h.

Referenced by OSResult::setAvailableDiskSpaceDescription(), OSResult::setAvailableDiskSpaceUnit(), OSResult::setAvailableDiskSpaceValue(), setRandom(), OSrLWriter::writeOSrL(), and ~SystemResult().

StorageCapacity* SystemResult::availableMemory

a pointer to the MemorySize class

Definition at line 355 of file OSResult.h.

Referenced by OSResult::setAvailableMemoryDescription(), OSResult::setAvailableMemoryUnit(), OSResult::setAvailableMemoryValue(), OSrLWriter::writeOSrL(), and ~SystemResult().

CPUSpeed* SystemResult::availableCPUSpeed

a pointer to the CPUSpeed class

Definition at line 359 of file OSResult.h.

Referenced by OSResult::setAvailableCPUSpeedDescription(), OSResult::setAvailableCPUSpeedUnit(), OSResult::setAvailableCPUSpeedValue(), OSrLWriter::writeOSrL(), and ~SystemResult().

CPUNumber* SystemResult::availableCPUNumber

a pointer to the CPUNumber class

Definition at line 363 of file OSResult.h.

Referenced by OSResult::setAvailableCPUNumberDescription(), OSResult::setAvailableCPUNumberValue(), OSrLWriter::writeOSrL(), and ~SystemResult().

OtherResults* SystemResult::otherResults

a pointer to the OtherResults class

Definition at line 367 of file OSResult.h.

Referenced by OSResult::setNumberOfOtherSystemResults(), OSrLWriter::writeOSrL(), and ~SystemResult().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp